Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.event.actions
Class ActionRefreshPool

    weblogic.event.actions.ActionRefreshPool

public class ActionRefreshPool
implements ActionDef

Action class for use in setting up automatic refresh of JdbcT3 connection pools. A connection pool is created when the T3Server starts up according to an entry the `weblogic.properties` file. For more information about connection pools, see the WebLogic Server documentation. For information on creating the entry in your `weblogic.properties` file, see Setting WebLogic properties.

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ActionRefreshPool()`

Method Summary
`void` | `action(EventMessageDef ev)` Action to refresh a connection pool.
`void` | `registerInit(ParamSet params)` Sets parameters for this action.
`void` | `setServices(T3ServicesDef services)` Sets a reference to the services available in the T3Server.

Constructor Detail

### ActionRefreshPool

    public ActionRefreshPool()

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Sets a reference to the services available in the T3Server.
  Specified by:
    setServices in interface ActionDef

  Parameters:
    `services` - Services available in the T3Server

### registerInit

    public void registerInit(ParamSet params)

  Sets parameters for this action. In this case, the parameters set the registered ID of the connection pool, the URL and password for the T3Server, and the SQL to test the connection.
  Specified by:
    registerInit in interface ActionDef

  Parameters:
    `params` - ParamSet

### action

    public void action(EventMessageDef ev)

  Action to refresh a connection pool.
  Specified by:
    action in interface ActionDef

  Parameters:
    `ev` - An EventMessage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD